Index: flashrom-tegra2/chipset_enable.c
===================================================================
--- flashrom-tegra2.orig/chipset_enable.c
+++ flashrom-tegra2/chipset_enable.c
@@ -1203,6 +1203,7 @@ const struct penable chipset_enables[] =
 
 int chipset_flash_enable(void)
 {
+#if defined(__i386__) || defined(__x86_64__) || defined (__mips__)
 	struct pci_dev *dev = NULL;
 	int ret = -2;		/* Nothing! */
 	int i;
@@ -1250,4 +1251,7 @@ int chipset_flash_enable(void)
 	free(s);
 
 	return ret;
+#else
+	return 0;
+#endif
 }
Index: flashrom-tegra2/internal.c
===================================================================
--- flashrom-tegra2.orig/internal.c
+++ flashrom-tegra2/internal.c
@@ -192,11 +192,13 @@ int internal_init(void)
 	 */
 	buses_supported = CHIP_BUSTYPE_NONSPI;
 
+#if defined(__i386__) || defined(__x86_64__) || defined(__mips__)
 	/* Initialize PCI access for flash enables */
 	pacc = pci_alloc();	/* Get the pci_access structure */
 	/* Set all options you want -- here we stick with the defaults */
 	pci_init(pacc);		/* Initialize the PCI library */
 	pci_scan_bus(pacc);	/* We want to get the list of devices */
+#endif
 
 	if (processor_flash_enable()) {
 		msg_perr("Processor detection/init failed.\n"
